cmake_minimum_required(VERSION 3.22)

# Create delay library
add_library(delay STATIC)

# Add delay sources
target_sources(delay PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}/src/delay.c
)

# Add delay include directories
target_include_directories(delay PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}/inc
)

# Link with stm32cubemx and hal libraries
target_link_libraries(delay PRIVATE
    stm32cubemx
    hal
)
